SIVP Toolbox
Last update : April, 2006

im2bw - Convert image to binary

### Calling Sequence

  `im2 = im2bw(im, thresh)`

### Parameters

- `im`: An matrix/image, which can be ANY image supported by SIVP.
- `thresh`: Threshold value. You specify `thresh` in the range [0,1], regardless of the class of the input image.
- `im2`: Boolean matrix.

### Description

`im2bw` convert intensity or RGB images to binary images. The output is a boolean matrix, which has value of `%T` for all pixels in the input image with luminance grater than `thresh` and `%F` for all the other pixels. (You specify `thresh` in the range [0,1], regardless of the type of the input image.)

### Authors

  Shiqi Yu <shiqi.yu[at]gmail.com>

### Availability

The latest version of SIVP can be found at

http://sivp.sourceforge.net

### See Also

`im2uint8`, `im2int8`, `im2uint16`, `im2int16`, `im2int32`, `im2double`, `mat2gray`,